Skip to main content
PUT
Update a reward address
OAuth Scope

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide โ†’

Path Parameters

id
string
required

id is the address ID used as the URL path parameter. Must match address.id when both are provided.

Body

application/json
customer_id
string
ledger
enum<string>

An AttributionLedgerType is a data source which produces events which cause monitored to occur. Examples include blockchains and the Paxos platform. Each event includes a source and/or destination address which will be compared against the addresses configured relative to the same ledger type.

Available options:
PAXOS,
ETHEREUM,
SOLANA,
INK,
XLAYER,
ARBITRUM_ONE,
ROBINHOOD,
MANTLE,
STABLE
address
string
name
string | null
created_at
string<date-time> | null
effective_at
string<date-time> | null
id
string
payout_group_id
string | null
balance
string<decimal> | null
asset_type
string | null

Asset this address is scoped to (e.g. "PYUSD", "USDG").

Response

200 - application/json

A successful response.

address
All data associated with an attribution address ยท object